@echo off 
rem 
rem  Launch the IONA Artix Repository
rem 
@setlocal




set DEFAULT_JAVA_OPTS=-Xms256m -Xmx512m -Dcom.sun.xml.bind.v2.bytecode.ClassTailor.noOptimize=true -Dorg.apache.commons.logging.Log=org.apache.commons.logging.impl.Jdk14Logger -Dregrepo.server.url=http://localhost:4968
set DEFAULT_JAVA_DEBUG_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,address=9009,server=y,suspend=n

cd %~dp0\..\etc

if not exist ..\logs mkdir ..\logs

set REPOSITORY_HOME=%~dp0..
if exist "%~dp0..\..\jre\bin\java.exe" set JAVA_HOME=%~dp0..\..\jre

if "%JAVA_HOME%" == "" goto prompt_for_java_home

if "%JAVA_OPTS%" == "" set JAVA_OPTS=%DEFAULT_JAVA_OPTS%

if "%REPOSITORY_DEBUG%" == "" goto :REPOSITORY_DEBUG_END
    rem Use the defaults if JAVA_DEBUG_OPTS was not set
    if "%JAVA_DEBUG_OPTS%" == "" set JAVA_DEBUG_OPTS=%DEFAULT_JAVA_DEBUG_OPTS%
    
    set "JAVA_OPTS=%JAVA_DEBUG_OPTS% %JAVA_OPTS%"
    echo repository: Warning - Enabling Java debug options: %JAVA_DEBUG_OPTS%
:REPOSITORY_DEBUG_END

"%JAVA_HOME%\bin\java" %JAVA_OPTS% -jar "%REPOSITORY_HOME%\lib\osgi-3.4.0-depot.jar" -configuration "%REPOSITORY_HOME%\etc" %*

goto end


:prompt_for_java_home
echo repository: Error - Please set JAVA_HOME to a valid Java 1.5+ runtime location!
goto end


:end

endlocal

